"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = require("react");
const actions_1 = require("../components/CioQuiz/actions");
const quizLocalReducer_1 = tslib_1.__importStar(require("../components/CioQuiz/quizLocalReducer"));
const useQuizLocalState = () => {
    const [quizLocalState, dispatch] = (0, react_1.useReducer)(quizLocalReducer_1.default, quizLocalReducer_1.initialState);
    const resetQuizLocalState = () => {
        dispatch({
            type: actions_1.QuestionTypes.Reset,
        });
    };
    return {
        quizLocalState,
        resetQuizLocalState,
        dispatchLocalState: dispatch,
    };
};
exports.default = useQuizLocalState;
